import http from "../index";

//快捷回复
// const Kjiehuifu = (query: any) => {
//   return http({
//     url: "/Kjiehuifu",
//     method: "get",
//     data: query,
//   });
// };
//获取用户列表
const getUserList = (query: any) => {
  return http({
    url: "/common/getChatList",
    method: "get",
    data: query,
  });
};
//查看未读消息
const checkMesssages = (query: any) => {
  return http({
    url: "/common/getChatHisList",
    method: "get",
    params: query,
  });
};
//优先找在线客服,注意是商品对应供应商的账号(客服iD)
const getKfCode = (query: any) => {
  return http({
    url: "/common/getKfCode",
    method: "get",
    params: query,
  });
};


//上传接口
const getUploadConfigInfo = (query: any) => {
  return http({
    url: "/upload/getUploadConfigInfo",
    method: "get",
    data: query,
  });
};
//系统上传
const upload = (query: any) => {
  return http({
    url: "/common/uploadFile",
    method: "post",
    data: query,
  });
};
export {
  getUserList,
  checkMesssages,
  upload,
  getUploadConfigInfo,
  getKfCode
};
